separateExptBySize {ppiStats} | R Documentation

## A function to partition experiments in user defined small, medium, large scale experiments

### Description

This function partitions protein interaction data into one of three classes defined by boundaries supplied by the users.

### Usage

    separateExptBySize(listOfGraphs, bound1, bound2)

### Arguments

`listOfGraphs` | A list containing graphNEL objects to be sorted by the number of edges
`bound1` | An integer. The strict upper bound for the small scale experiments and the lower bound for the medium scale experiments.
`bound2` | An integer. The upper bound for the medium scale experiments, and the strict lower bound for the large scale experiments.

### Details

A function to partition graphs based on the number of edges.

### Value

A list:

`small` | A list of graph objects with the number of edges in each graph less than bound1.
`medium` | A list of graph objects with the number of edges in each graph of a value between that of bound1 and bound2.
`large` | A list of graph objects with the number of edges in each graph greater than bound2.

### Author(s)

T. Chiang

[Package ppiStats version 1.8.0 Index]